## python-django-pgschemas 0.11.0

=== debian/changelog ===
python-django-pgschemas (0.11.0-1) unstable; urgency=low

  * Initial release (Closes: #1023142).

 -- Michael Fladischer <fladi@debian.org>  Sat, 29 Oct 2022 22:43:12 +0000

## python-django-pgschemas 0.12.0

=== docs/requirements.txt ===
sphinx-django-command

=== debian/changelog ===
python-django-pgschemas (0.12.0-1) unstable; urgency=low

  * New upstream release.
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Thu, 05 Jan 2023 18:47:02 +0000

=== debian/control ===
Source: python-django-pgschemas
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-django,
 python3-poetry,
 python3-psycopg2,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.1.0
Homepage: https://github.com/lorinkoz/django-pgschemas
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pgschemas
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pgschemas.git
Rules-Requires-Root: no

Package: python-django-pgschemas-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Django multi-tenancy using PostgreSQL schemas (Documentation)
 This app uses PostgreSQL schemas to support data multi-tenancy in a single
 Django project. It is a fork of django-tenants with some conceptual changes:
 .
  * There are static tenants and dynamic tenants. Static tenants can have their
    own apps and urlconf.
  * Tenants can be simultaneously routed via subdomain and via subfolder on
    shared subdomain.
  * Public is no longer the schema for storing the main site data. Public should
    be used only for true shared data across all tenants. Table "overriding" via
    search path is no longer encouraged.
  * Management commands can be run on multiple schemas via wildcards - the
    multiproc behavior of migrations was extended to just any tenant command.
 .
 This package contains the documentation.

Package: python3-django-pgschemas
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-pgschemas-doc,
Description: Django multi-tenancy using PostgreSQL schemas (Python3 version)
 This app uses PostgreSQL schemas to support data multi-tenancy in a single
 Django project. It is a fork of django-tenants with some conceptual changes:
 .
  * There are static tenants and dynamic tenants. Static tenants can have their
    own apps and urlconf.
  * Tenants can be simultaneously routed via subdomain and via subfolder on
    shared subdomain.
  * Public is no longer the schema for storing the main site data. Public should
    be used only for true shared data across all tenants. Table "overriding" via
    search path is no longer encouraged.
  * Management commands can be run on multiple schemas via wildcards - the
    multiproc behavior of migrations was extended to just any tenant command.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-pgschemas
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-pgschemas-doc/usr/share/doc/python-django-pgschemas-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build/
	dh_clean

=== debian/tests/control ===
Tests: upstream
Depends:
 postgresql,
 python3-all,
 python3-pytest,
 python3-pytest-django,
 @,
 @builddeps@,
Restrictions: needs-root,isolation-container,allow-stderr

## python-django-pgschemas 0.14

=== debian/changelog ===
python-django-pgschemas (0.14-1) unstable; urgency=medium

  * New upstream version 0.14
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Wed, 28 Jun 2023 17:04:22 +0000

python-django-pgschemas (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
  * Bump Standards-Version to 4.6.2.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jun 2023 12:26:10 +0000

## python-django-pgschemas 0.15.0

=== debian/changelog ===
python-django-pgschemas (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0
  * Refresh patches.
  * Use new dpgs_sandbox.settings.full module for tests and sphinx.
  * Create root role in postgresql before running tests.

 -- Michael Fladischer <fladi@debian.org>  Sun, 13 Aug 2023 13:05:06 +0000

## python-django-pgschemas 0.15.1

=== Makefile ===
# Makefile for django-pgschemas

.PHONY: test
test:
	poetry run dpgs_sandbox/manage.py test tests

.PHONY: coverage
coverage:
	poetry run coverage run dpgs_sandbox/manage.py test tests

.PHONY: coverage-html
coverage-html:
	poetry run coverage run dpgs_sandbox/manage.py test tests && poetry run coverage html

.PHONY: update-clone-schema
update-clone-schema:
	curl https://raw.githubusercontent.com/denishpatel/pg-clone-schema/master/clone_schema.sql -o django_pgschemas/clone_schema.sql

=== docs/requirements.txt ===
sphinx-django-command
psycopg

=== debian/changelog ===
python-django-pgschemas (0.15.1-2) unstable; urgency=low

  * Add patch to replace assertEquals with assertEqual (Closes: #1059662).
  * Add patch to remove distutils code in preparation for Python 3.12.

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Jan 2024 20:15:38 +0000

python-django-pgschemas (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1

 -- Michael Fladischer <fladi@debian.org>  Sat, 28 Oct 2023 09:27:00 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-psycopg2,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/lorinkoz/django-pgschemas
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pgschemas
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pgschemas.git

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-pgschemas-doc/usr/share/doc/python-django-pgschemas-doc/html
+	PYTHONPATH=. DJANGO_SETTINGS_MODULE=dpgs_sandbox.settings.static_only python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-pgschemas-doc/usr/share/doc/python-django-pgschemas-doc/html
 	dh_sphinxdoc
 endif

## python-django-pgschemas 0.15.2

=== debian/changelog ===
python-django-pgschemas (0.15.2-1) unstable; urgency=low

  * New upstream version 0.15.2
  * Use dh-sequence-python3.
  * Bump Standards-Version to 4.7.0.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Fri, 19 Jul 2024 06:59:46 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-django,
@@ -14,7 +14,7 @@
  python3-psycopg2,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/lorinkoz/django-pgschemas
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pgschemas
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pgschemas.git

## python-django-pgschemas 1.0.1

=== Makefile ===
# Makefile

CLONESCHEMA_FILE := https://raw.githubusercontent.com/denishpatel/pg-clone-schema/master/clone_schema.sql

.PHONY: test
test:
	poetry run pytest sandbox/tests --reuse-db

.PHONY: coverage
coverage:
	poetry run pytest --cov="django_pgschemas" sandbox/tests --reuse-db
	poetry run coverage html


.PHONY: types
types:
	poetry run mypy .

.PHONY: down
down:
	docker compose down

.PHONY: up
up:
	docker compose up --wait
	poetry run sandbox/manage.py migrate

.PHONY: docs
docs:
	poetry run mkdocs serve -a localhost:9005

.PHONY: update-clone-schema
update-clone-schema:
	curl ${CLONESCHEMA_FILE} | python -m gzip - > django_pgschemas/clone_schema.gz

=== docs/requirements.txt ===
django
psycopg
mkdocs-material

=== debian/changelog ===
python-django-pgschemas (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Use python3-pytest-asyncio for autopkgtest
  * Apply multi-arch hint
  * Standards-Version 4.7.2
  * Drop Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Fri, 29 Aug 2025 22:58:48 +0200

python-django-pgschemas (1.0.1-1) unstable; urgency=low

  * New upstream version 1.0.1
  * Refresh patches and drop obsolete ones.
  * Upstream now uses mkdocs instead of sphinx for building documentation,
    adapt packaging.
  * Only build-depend on python3-poetry-core instead of the whole
    python3-poetry package.
  * Upstream switched README to markdown.
  * Change path and Djangosettings for autopkgtests.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Tue, 22 Oct 2024 16:48:16 +0000

python-django-pgschemas (0.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.16.0.
  * Fix pg_collate catalog query to support PG17.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Sep 2024 15:22:32 +0000

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,22 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ mkdocs,
  pybuild-plugin-pyproject,
  python3-all,
  python3-django,
- python3-poetry,
+ python3-poetry-core,
  python3-psycopg2,
- python3-sphinx,
- python3-sphinx-rtd-theme,
-Standards-Version: 4.7.0
+ python3-pymdownx,
+Standards-Version: 4.7.2
 Homepage: https://github.com/lorinkoz/django-pgschemas
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pgschemas
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pgschemas.git
-Rules-Requires-Root: no
 
 Package: python-django-pgschemas-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-pgschemas
export PYBUILD_DISABLE=test

%:
	dh $@ --with mkdocs --buildsystem=pybuild

execute_after_dh_auto_install:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	mkdocs build -d $(CURDIR)/debian/python-django-pgschemas-doc/usr/share/doc/python-django-pgschemas-doc/html
	rm -f $(CURDIR)/debian/python-django-pgschemas-doc/usr/share/doc/python-django-pgschemas-doc/html/sitemap.xml.gz
endif

=== debian/tests/control ===
Tests:
 upstream,
Depends:
 postgresql,
 python3-all,
 python3-daphne,
 python3-django-channels,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-django,
 @,
 @builddeps@,
Restrictions:
 allow-stderr,
 isolation-container,
 needs-root,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-django-pgschemas-$1.tar.gz/ \
https://github.com/lorinkoz/django-pgschemas/tags \
/lorinkoz/django-pgschemas/archive/refs/tags/v([\d\.]+)\.tar\.gz
